CREATE TABLE `ufutx_s2_user_data` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `area_code` int(11) NOT NULL COMMENT '地区编码',
  `mobile` varchar(64) NOT NULL COMMENT '手机号',
  `name` varchar(128) NOT NULL COMMENT '名字',
  `level` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0=普通用户,11=批发商,12=VIP,13=经销商',
  `area_code2` int(11) DEFAULT NULL,
  `mobile2` varchar(64) DEFAULT NULL COMMENT '副2',
  `area_code3` int(11) DEFAULT NULL,
  `mobile3` varchar(64) DEFAULT NULL COMMENT '副3',
  `superior_area_code` int(11) DEFAULT NULL COMMENT '上级地区编码',
  `superior_mobile` varchar(64) DEFAULT NULL COMMENT '上级手机',
  `superior_name` varchar(128) DEFAULT NULL COMMENT '上级名字',
  `superior_reason` varchar(512) DEFAULT NULL COMMENT '关联原因',
  `created_at` timestamp NOT NULL,
  `updated_at` timestamp NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='用户身份及推荐人关系表';

ALTER TABLE `ufutx_s2_user_data`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `mobile` (`mobile`),
  ADD UNIQUE KEY `area_code2` (`area_code2`),
  ADD UNIQUE KEY `mobile2` (`mobile2`),
  ADD UNIQUE KEY `mobile3` (`mobile3`),
  ADD KEY `area_code` (`area_code`),
  ADD KEY `area_code3` (`area_code3`);